DSCVERIFY(1)

NOM
dscverify - Vérifier la validité d’un paquet Debian

SYNOPSIS
dscverify [--keyring trousseau_de_clefs] ... fichier_changes_ou_buildinfo_ou_dsc ...

DESCRIPTION
dscverify vérifie que les signatures GPG des fichiers .changes, .buildinfo ou .dsc sont des signatures correctes effectuées avec des clefs de trousseaux de Debian actuels, que l’on peut trouver dans les paquets debian-keyring et debian-tag2upload-keyring (des trousseaux supplémentaires peuvent être précisés avec l’option --keyring autant de fois que nécessaire). Il vérifie ensuite que les fichiers listés dans les fichiers .changes, .buildinfo ou .dsc ont des tailles et des sommes de contrôle (MD5 plus SHA1 et SHA256 si ces dernières sont présentes) correctes. Le code de retour vaut 0 s’il n’y a pas de problème et une valeur non nulle dans le cas contraire.

OPTIONS

--keyring trousseau
    Ajoute un trousseau de clefs à la liste des trousseaux à utiliser.

--no-default-keyrings
    Ne pas utiliser les trousseaux de clefs par défaut.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L’option ne peut être utilisée qu’en première position de la ligne de commande.

--nosigcheck, --no-sig-check, -u
    Omettre l’étape de vérification de signature. Vérifier uniquement la taille et les sommes de contrôle des fichiers listés dans les fichiers .changes, .buildinfo ou .dsc.

--verbose
    Ne pas supprimer la sortie de GPG.

--help, -h
    Afficher un message d’aide et quitter avec succès.

--version
    Afficher la version et le copyright, puis quitter avec succès.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre par un interpréteur de commandes ("shell") pour placer les variables de configuration. Des options de ligne de commande peuvent être utilisées pour neutraliser les paramètres des fichiers de configuration. Les paramètres des variables d’environnement sont ignorés à cette fin. Si la première option donnée en ligne de commande est --noconf ou --no-conf, alors ces fichiers ne sont pas évalués. Les variables actuellement identifiées sont :

DSCVERIFY_KEYRINGS
    Liste de trousseaux de clefs supplémentaires (séparés par des ":") à utiliser en plus de ceux indiqués en ligne de commande.

TROUSSEAU DE CLEFS
Veuillez noter que le trousseau de clefs fourni par le paquet debian-keyring peut ne pas être complètement à jour. La dernière version peut être obtenue avec rsync, comme c’est documenté dans le fichier README fourni avec debian-keyring. Si vous synchronisez le trousseau de clefs à un emplacement non standard (voir ci-dessous), vous pouvez utiliser la possibilité d’indiquer des trousseaux supplémentaires soit en utilisant l’option de configuration mentionnée ci-dessus, soit en utilisant l’option --keyring.

Voici un exemple d’alias :

alias dscverify='dscverify --keyring ~/.gnupg/pubring.gpg'

EMPLACEMENTS STANDARDS DES TROUSSEAUX
Par défaut, dscverify recherche le trousseau de clefs debian aux emplacements suivants :

- ~/.gnupg/trustedkeys.gpg

- /srv/keyring.debian.org/keyrings/debian-keyring.gpg

- /usr/share/keyrings/debian-keyring.gpg

- /usr/share/keyrings/debian-tag2upload.pgp

- /usr/share/keyrings/debian-maintainers.gpg

- /usr/share/keyrings/debian-nonupload.gpg

VOIR AUSSI
gpg(1), devscripts.conf(5)

AUTEUR
dscverify a été écrit par Roderick Schertler <roderick@argon.org>, et posté sur la liste de diffusion debian-devel@lists.debian.org. Certaines modifications ont été apportées par Julian Gilbey <jdg@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.